# HG changeset patch
# User Jeff Sickel <jas@corpus-callosum.com>
# Date 1228937176 21600
# Node ID ab787bb2930b4b2fa1d4004e33f2adfdf92a600d
# Parent  47b3d93f532d3eab751eeaa6bbdafd44990199cd
MacFUSE 2.0 updates

diff -r 47b3d93f532d -r ab787bb2930b src/cmd/9pfuse/fuse_kernel.h
--- a/src/cmd/9pfuse/fuse_kernel.h	Sun Dec 07 09:20:08 2008 -0800
+++ b/src/cmd/9pfuse/fuse_kernel.h	Wed Dec 10 13:26:16 2008 -0600
@@ -3,8 +3,6 @@
     Copyright (C) 2001-2007  Miklos Szeredi <miklos@szeredi.hu>


-
-
     This -- and only this -- header file may also be distributed under
     the terms of the BSD Licence as follows:

@@ -63,9 +61,15 @@
 	__u64	atime;
 	__u64	mtime;
 	__u64	ctime;
+#if (__FreeBSD__ >= 10)
+	__u64	crtime;
+#endif /* __FreeBSD__ >= 10 */
 	__u32	atimensec;
 	__u32	mtimensec;
 	__u32	ctimensec;
+#if (__FreeBSD__ >= 10)
+	__u32	crtimensec;
+#endif /* __FreeBSD__ >= 10 */
 	__u32	mode;
 	__u32	nlink;
 	__u32	uid;
@@ -73,7 +77,6 @@
 	__u32	rdev;
 #if (__FreeBSD__ >= 10)
 	__u32	flags; /* file flags; see chflags(2) */
-	__u32	padding;
 #endif /* __FreeBSD__ >= 10 */
 };

